// Copyright 2022 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: GPL-3.0-or-later

package report

//go:generate go run gen.go

import (
	"fmt"
	"io"
	"log"
	"os"
)

// Print prints stats in a report format.
func Print() {
	fmt.Fprint(os.Stderr, "\n* printing the report...\n\n")

	// when run from the repo root
	fname := "report/report.tex"

	fh, err := os.Open(fname)
	if err != nil {
		log.Fatal(err)
	}

	_, err = io.Copy(os.Stdout, fh)
	if err != nil {
		log.Fatal(err)
	}
}
